Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> Red Hat Local Security Checks >> RHSA-2002-271: pine


Vulnerability Assessment Details

RHSA-2002-271: pine

Vulnerability Assessment Summary
Check for the version of the pine packages

Detailed Explanation for this Vulnerability Assessment


A vulnerability in Pine version 4.44 and earlier releases can cause
Pine to crash when sent a carefully crafted email.

[Updated 06 Feb 2003]
Added fixed packages for Advanced Workstation 2.1

Pine, developed at the University of Washington, is a tool for reading,
sending, and managing electronic messages (including mail and news).

A security problem was found in versions of Pine 4.44 and earlier. In these
verions, Pine does not allocate enough memory for the parsing and escaping
of the "From" header, permiting a carefully crafted email to cause a
buffer overflow on the heap. This will result in Pine crashing.

All users of Pine on Red Hat Linux Advanced Server are advised to
update to these errata packages containing a patch to version 4.44
of Pine that fixes this vulnerability.




Solution : http://rhn.redhat.com/errata/RHSA-2002-271.html
Network Security Threat Level: High

Networks Security ID:

Vulnerability Assessment Copyright: This script is Copyright (C) 2004 Tenable Network Security

Cables, Connectors

Apple MacBook Air 13.3" (128GB SSD, Intel Core i5 8th Gen., 1.60 GHz, 8GB)...
$1.0
Apple MacBook Air 13.3HP ELITEDESK 800 G2 SFF | INTEL CORE I7-6700 3.40GHZ | 2TB | 8GB RAM | NO OS
$19.99
HP ELITEDESK 800 G2 SFF | INTEL CORE I7-6700 3.40GHZ | 2TB | 8GB RAM | NO OS pictureHP PRODESK 600 G2 SFF | INTEL CORE I5-6500 3.20GHZ | 4TB | 8GB RAM | NO OS
$19.99
HP PRODESK 600 G2 SFF | INTEL CORE I5-6500 3.20GHZ | 4TB | 8GB RAM | NO OS pictureDell Laptop Computer Latitude Core i5 2.5Ghz Windows 10 8GB 320GB WD Black
$159.99
Dell Laptop Computer Latitude Core i5 2.5Ghz Windows 10 8GB 320GB WD Black picture


Discussions

No Discussions have been posted on this vulnerability.